"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assumeRole = void 0;
const tslib_1 = require("tslib");
const client_sts_1 = require("@aws-sdk/client-sts");
/**
 * Assume a role and return the credentials
 * @param options Options
 * @returns Credentials
 */
function assumeRole(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const sts = new client_sts_1.STS({
            region: options.awsRegion,
        });
        const output = yield sts.assumeRole({
            RoleArn: options.assumeRoleArn,
            RoleSessionName: 'lambda-deploy',
        });
        return output.Credentials;
    });
}
exports.assumeRole = assumeRole;
//# sourceMappingURL=assume-role.js.map