export type CreatePackageOptions = {
    packageFilePath: string;
    buildDirectoryPath: string;
    compressionLevel?: number;
};
/**
 * Creates a package from the build directory.
 * @param options The options for creating the package.
 * @returns A promise that resolves when the package is created.
 * @throws An error if the build directory does not exist.
 * @throws An error if there are errors with archiving.
 */
export declare function createPackage(options: CreatePackageOptions): Promise<void>;
