"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = void 0;
/**
 * Normalizes the options for the deploy executor.
 * @param _options The options provided to the deploy executor.
 * @param context The context of the deploy executor.
 * @returns The normalized options.
 */
function normalizeOptions(_options, context) {
    var _a, _b, _c, _d;
    const projectConfigurations = context.projectsConfigurations.projects[context.projectName];
    const options = {
        functionName: (_a = _options.functionName) !== null && _a !== void 0 ? _a : context.projectName,
        awsRegion: _options.awsRegion,
        assumeRoleArn: _options.assumeRoleArn,
        s3Bucket: _options.s3Bucket,
        s3Key: (_b = _options.s3Key) !== null && _b !== void 0 ? _b : `${context.projectName}.zip`,
        packageFilePath: (_c = _options.packageFilePath) !== null && _c !== void 0 ? _c : `${context.root}/${projectConfigurations.root}/${context.projectName}.zip`,
        buildDirectoryPath: (_d = _options.buildDirectoryPath) !== null && _d !== void 0 ? _d : `${context.root}/${projectConfigurations.targets['build'].options.outputPath}`,
        publish: _options.publish,
        compressionLevel: _options.compressionLevel,
        deleteLocalPackage: _options.deleteLocalPackage,
        cloudFrontDistributionId: _options.cloudFrontDistributionId,
        cloudFrontEventType: _options.cloudFrontEventType,
        isUploadToS3: _options.s3Bucket ? true : false,
        isAssumeRole: _options.assumeRoleArn ? true : false,
        isLambdaEdge: _options.cloudFrontDistributionId ? true : false,
    };
    return options;
}
exports.normalizeOptions = normalizeOptions;
//# sourceMappingURL=normalize.js.map