"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateFunction = void 0;
const tslib_1 = require("tslib");
const client_lambda_1 = require("@aws-sdk/client-lambda");
const promises_1 = require("fs/promises");
function updateFunction(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const lambda = new client_lambda_1.Lambda({
            region: options.awsRegion,
            credentials: options.credentials,
        });
        let packageContents;
        if (!options.s3Bucket) {
            packageContents = yield (0, promises_1.readFile)(options.packageFilePath);
        }
        return lambda.updateFunctionCode({
            FunctionName: options.functionName,
            S3Bucket: options.s3Bucket,
            S3Key: options.s3Bucket ? options.s3Key : undefined,
            ZipFile: packageContents,
            Publish: options.publish,
        });
    });
}
exports.updateFunction = updateFunction;
//# sourceMappingURL=update-function.js.map