"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadPackage = void 0;
const tslib_1 = require("tslib");
const client_s3_1 = require("@aws-sdk/client-s3");
const promises_1 = require("fs/promises");
function uploadPackage(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const s3 = new client_s3_1.S3({
            region: options.awsRegion,
            credentials: options.credentials,
        });
        const packageContents = yield (0, promises_1.readFile)(options.packageFilePath);
        return s3.putObject({
            Bucket: options.s3Bucket,
            Key: options.s3Key,
            Body: packageContents,
        });
    });
}
exports.uploadPackage = uploadPackage;
//# sourceMappingURL=upload-package.js.map